## gnome-desktop 42.9

=== meson_options.txt ===
option('gnome_distributor',
  type: 'string', value: 'GNOME.Org',
  description: 'Specify name of GNOME distributor'
)

option('date_in_gnome_version',
  type: 'boolean', value: true,
  description: 'Include the build date in gnome-version.xml'
)

option('desktop_docs',
  type: 'boolean', value: true,
  description: 'Build desktop-wide help documents'
)

option('debug_tools',
  type: 'boolean', value: true, description: 'Build debug tools'
)

option('udev',
  type: 'feature', description: 'Udev support'
)

option('systemd',
  type: 'feature', description: 'Systemd integration support'
)

option('gtk_doc',
  type: 'boolean', value: false, description: 'Build API reference'
)

option('installed_tests',
  type: 'boolean', value: false, description: 'Enable installed tests'
)

option('build_gtk4',
  type: 'boolean', value: true, description: 'Enable GTK4 libraries'
)

option('legacy_library',
  type: 'boolean', value: true, description: 'Build the legacy libgnome-desktop-3.0'
)

## gnome-desktop 2.26.1-0ubuntu2trisquel1

=== debian/changelog ===
gnome-desktop (1:2.26.1-0ubuntu2trisquel1) trisquel; urgency=low

  * Changed distributor from Ubuntu to Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Fri, 12 Jun 2009 11:34:33 +0000

gnome-desktop (1:2.26.1-0ubuntu2) jaunty-proposed; urgency=low

  * debian/patches/90_git_change_reprobe_when_required.patch:
    - git change to refresh correctly the screen settings 
      (lp: #365210)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 04 May 2009 14:42:53 +0200

gnome-desktop (1:2.26.1-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeBG: handle X errors when the root properties point to something
      wrong when getting the root pixmap 
    - GnomeRR: use XRRGetScreenResourcesCurrent() from RANDR 1.3 when possible, 
      when we only need to fetch the current RANDR status
    gnome-about
    - Make parsing of gnome-version.xml more tolerant against missing fields 
    Misc
    - Add a --disable-date-in-gnome-version configure option to remove the
      build date from gnome-version.xml 
    - Remove unused --with-kde-datadir configure option 
  * debian/patches/101_output_props_events_use_cheap_call.patch:
    - dropped, the new version fixes this issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 Apr 2009 11:04:26 +0200

gnome-desktop (1:2.26.0-0ubuntu2) jaunty; urgency=low

  * debian/patches/101_output_props_events_use_cheap_call.patch:
    - libgnome-desktop/gnome-rr.c:
      + Additional gboolean argument for screen_update() static
        function so that TRUE means that the cheap call (with no
        hardware probing) is called while FALSE means that the more
        expensive one is used. This prevents the gnome-settings-
        daemon from causing X.org to waste CPU cycles when
        output properties are changed (LP: #339228).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 19 Mar 2009 09:51:14 +0100

gnome-desktop (1:2.26.0-0ubuntu1) jaunty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Mar 2009 01:15:30 +0100

gnome-desktop (1:2.25.92-0uubuntu1) jaunty; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeBG: Allow apps to ignore a pending change so they can avoid
      updating their background twice 
    - GnomeBG: Blow all expensive caches if we're not gonna update the
      background again in one minute 
    - GnomeBG: Do slightly less steps in slide transitions to avoid using
      to much resources on things that are not visible 
    - GnomeBG: Remove outstanding transitions on finalize
    - GnomeRR: Use g_new0() instead of calloc() for consistency
    - GnomeRR: Fix leak 
    - GnomeRR: Code cleanup 
    - GnomeRR: Revert the change to use XRRGetScreenResourcesCurrent
      it's not needed anymore and it broke the "Detect Monitors" button   
    - General: Make sure that the translation system is initiliazed so that
    translations can be used 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2009 19:38:04 +0100

gnome-desktop (1:2.25.91-0ubuntu1) jaunty; urgency=low

  * New upstream version
  * debian/control.in:
    - use the ubuntu-desktop team for packaging work rather
  * debian/patches/90_relibtoolize.patch:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Feb 2009 14:05:26 +0100

gnome-desktop (1:2.25.90-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeRR: Create a backup file of the configuration when saving
    - GnomeRR: Add public API to get to $(XDG_CONFIG_HOME)/monitors.xml and
      a backup of that file 
    - GnomeRR: Add gnome_rr_config_apply_from_filename()
    - GnomeRR: Deprecate gnome_rr_config_apply_stored()
  * debian/patches/90_relibtoolize.patch:
    - new version update
  * debian/rules:
    - updated shlibs version
  
  [ Alberto Milone ]

  * debian/partches/100_load_desired_settings.patch:
    - adapt it to the changes in 2.25.90 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Feb 2009 18:34:05 +0100

gnome-desktop (1:2.25.5-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeBG: use gdk_color_equal() instead of custom function 
    - GnomeRR: use XRRGetScreenResourcesCurrent instead of
      XRRGetScreenResources when available (xrandr 1.3) because it's cheaper 
      (lp: #307306)
    - GnomeBG: emit "transitioned" signal instead of "changed" signal for
      new frames in a slideshow background 
    - GnomeBG: reorganize code a bit 
    - GnomeBG: add fading API to support fading between two backgrounds

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Jan 2009 10:50:09 +0100

gnome-desktop (1:2.25.3-0ubuntu2) jaunty; urgency=low

  * debian/patches/100_load_desired_settings.patch:
    - libgnome-desktop/gnome-rr-config.c:
      + clean up the patch to reuse code from the current API
      + don't segfault with old configuration files (LP: #314406)
      + remove notification on login when the configuration file
        is absent or invalid
      + don't let configurations_read_from_file() try to read xml
        files which don't exist

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 14 Jan 2009 18:35:56 +0100

gnome-desktop (1:2.25.3-0ubuntu1) jaunty; urgency=low

  [ Sebastien Bacher ]
  * New upstream version
  * New soname change

  [ Alberto Milone ]
  * debian/patches/100_load_desired_settings.patch:
    - update patch to match the current API

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Dec 2008 14:25:50 +0100

gnome-desktop (1:2.25.2-0ubuntu1) jaunty; urgency=low

  * New upstream version
  * debian/control.in:
    - updated the requirements
    - updated to the new soname version
  * debian/rules:
    - updated to the new soname version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Dec 2008 16:44:50 +0100

gnome-desktop (1:2.24.1-1ubuntu2) jaunty; urgency=low

  * Rebuild due to the gtk change



=== debian/control ===
Source: gnome-desktop
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.8.0
XS-Python-Version: >= 2.4
Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/gnome-desktop/ubuntu
Build-Depends: debhelper (>= 5),
               libglib2.0-dev (>= 2.15.4),
               intltool (>= 0.40.0),
               scrollkeeper,
               cdbs (>= 0.4.41),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.4),
               docbook-xml,
               gnome-doc-utils (>= 0.3.2),
               libx11-dev,
               libxrandr-dev (>= 1.2),
               libgtk2.0-dev (>= 2.11.3),
               libstartup-notification0-dev (>= 0.5),
               libgconf2-dev (>= 2.0.0),
               python-dev,
               python-central (>= 0.5.6)

Package: gnome-about
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-gtk2,
         python-gobject,
         python-gnome2,
         python-cairo,
         gnome-desktop-data (= ${source:Version})
Conflicts: gnome-core (<< 1.5),
           gnome-desktop-data (<< 2.12)
Replaces: gnome-desktop-data (<< 2.12)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: The GNOME about box
 Informative little about thing that lets us brag to our friends as our name
 scrolls by, and lets users click to load the GNOME home pages.

Package: gnome-desktop-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: gnome-panel (<= 2.0.0),
           gnome-core (<< 1.5),
           gnome-help (<< 1.5),
           gnome-about (<< 2.20.0-2)
Replaces: gnome-control-center (<= 1:2.0.3.2-2),
          gnome-core (<= 1.5),
          gnome-panel-data (<= 2.0)
Description: Common files for GNOME 2 desktop apps
 This package includes some files that are shared between several GNOME 2
 apps (Pixmaps, .desktop files and internationalization files).

Package: libgnome-desktop-2-11
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-control-center (<< 1:2.23.5),
           gnome-settings-daemon (<< 2.23.5)
Description: Utility library for loading .desktop files - runtime files
 This library is used by GNOME 2 to load the .desktop files.

Package: libgnome-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgnome-desktop-2-11 (= ${binary:Version}),
         libgtk2.0-dev (>= 2.11.3),
         libstartup-notification0-dev (>= 0.5)
Replaces: libpanel-applet2-dev (<= 1.5.4-1)
Description: Utility library for loading .desktop files - development files
 This packages provides the include files and static library for the GNOME 2
 desktop library functions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgnome-desktop-2-11 += -V 'libgnome-desktop-2-11 (>= 1:2.25.90)'

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-gnome-distributor=Trisquel \
			--disable-scrollkeeper \
			--disable-gtk-doc

binary-install/gnome-about::
	dh_pycentral -pgnome-about

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/([\d\.]+)[0-9]/ \
	gnome-desktop-(.*)\.tar\.gz \
	debian uupdate

## gnome-desktop 2.30.2

=== debian/changelog ===
gnome-desktop (2.30.2-3) unstable; urgency=low

  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Switch to dh_python2.
  * debian/patches/03_libm.patch:
    - Link libgnome-desktop against -lm. Closes: #640438
  * Use dh-autoreconf to update the build system.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Oct 2011 13:18:01 +0200

gnome-desktop (2.30.2-2) unstable; urgency=low

  * Include crasher fixes on upstream’s advice.
    + 01_rr_double_free.patch: double free in the RandR code.
    + 02_pnp_buffer_overflow.patch: buffer overrun in the PNP parsing 
      code.

 -- Josselin Mouette <joss@debian.org>  Fri, 12 Nov 2010 20:00:44 +0100

gnome-desktop (2.30.2-1) unstable; urgency=low

  * New upstream stable release.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Add debian/patches/series.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.
    - Refresh debian/patches/99_ltmain_as-needed.patch.
  * debian/control.in
    - Remove ancient Conflicts/Replaces which are no longer relevant.
    - Bump Standards-Version to 3.9.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 04:45:22 +0200

gnome-desktop (2.30.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Apr 2010 23:22:47 +0200

gnome-desktop (2.30.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Use the system pnp.ids from hwdata.
  * debian/control.in:
    - Recommend hwdata.

  [ Josselin Mouette ]
  * New upstream release.
  * Bump build-dependencies.
  * Rename runtime library package.
  * 01_check_xrandr_version.patch: dropped, merged upstream.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 21:05:05 +0200

gnome-desktop (2.28.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix typo in description. Closes: #557400.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2009 16:14:17 +0100

gnome-desktop (2.28.1-3) unstable; urgency=low

  * 01_trap_rr_x_errors.patch: dropped, this solution is fugly.
  * 01_check_xrandr_version.patch: check that the extension is available 
    at version 1.2 before running code that requires version 1.2 anyway.

 -- Josselin Mouette <joss@debian.org>  Sat, 21 Nov 2009 10:38:16 +0100

gnome-desktop (2.28.1-2) unstable; urgency=low

  * Switch to python-support.
  * 01_trap_rr_x_errors.patch: patch from Chris Coulson to support 
    FreeNX, it fixes some BadRequest errors. Closes: #556797.

 -- Josselin Mouette <joss@debian.org>  Wed, 18 Nov 2009 09:16:11 +0100

gnome-desktop (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    - bumped standards-version to 3.8.3. No changes needed.
    - added Vcs-* fields.

 -- Andrea Veri <andrea.veri89@gmail.com>  Mon, 26 Oct 2009 22:04:51 +0100

gnome-desktop (2.28.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Stop mentioning GNOME 2.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/watch: Don't uupdate.
  * debian/patches/90_relibtoolize.patch:
    - Removed, not needed anymore now that upstream uses a recent libtool.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Sep 2009 23:30:02 +0200

gnome-desktop (2.26.1-1) unstable; urgency=low

  * New upstream release.
  * 90_relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Apr 2009 12:16:16 +0200

gnome-desktop (2.26.0-1) experimental; urgency=low

  * New upstream release.
  * Standards version is 3.8.1.
  * Rename library package to libgnome-desktop-2-11.
  * Update build-dependencies and -dev dependencies.
  * 90_relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Apr 2009 12:47:08 +0200

gnome-desktop (2.24.3-1) unstable; urgency=low

  * Build-depend on libglib2.0-doc and libgtk2.0-doc to ensure proper 
    xrefs.
  * New upstream release.
  * 90_relibtoolize.patch: regenerate for the new version.
  * Upload to unstable!!1!omgwtfbbq

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Mar 2009 15:21:12 +0100

gnome-desktop (2.24.2-1) experimental; urgency=low

  * New upstream release.
  * 90_relibtoolize.patch: regenerate for the new version.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 10:27:14 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-desktop
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-desktop
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-desktop
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Build-Depends: debhelper (>= 8),
               libglib2.0-dev (>= 2.19.1),
               intltool (>= 0.40.0),
               dh-autoreconf,
               scrollkeeper,
               cdbs (>= 0.4.41),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.4),
               docbook-xml,
               gnome-doc-utils (>= 0.3.2),
               libx11-dev,
               libxrandr-dev (>= 1.2),
               libgtk2.0-dev (>= 2.18.0),
               libstartup-notification0-dev (>= 0.5),
               libxml2-dev (>= 2.4.20),
               libgconf2-dev (>= 2.0.0),
               python-dev (>= 2.6.6-3~),
               libglib2.0-doc,
               libgtk2.0-doc

Package: gnome-about
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-gtk2,
         python-gobject,
         python-gnome2,
         python-cairo,
         gnome-desktop-data (= ${source:Version})
Description: The GNOME about box
 Informative little about thing that lets us brag to our friends as our name
 scrolls by, and lets users click to load the GNOME home pages.

Package: gnome-desktop-data
Architecture: all
Depends: ${misc:Depends}
Description: Common files for GNOME desktop apps
 This package includes some files that are shared between several GNOME
 apps (Pixmaps, .desktop files and internationalization files).

Package: libgnome-desktop-2-17
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Utility library for loading .desktop files - runtime files
 This library is used by GNOME to load the .desktop files.

Package: libgnome-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgnome-desktop-2-17 (= ${binary:Version}),
         libgtk2.0-dev (>= 2.14.0),
         libstartup-notification0-dev (>= 0.5)
Replaces: libpanel-applet2-dev (<= 1.5.4-1)
Description: Utility library for loading .desktop files - development files
 This package provides the include files and static library for the GNOME
 desktop library functions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-gnome-distributor=Debian \
			--with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
			--disable-scrollkeeper \
			--disable-gtk-doc

binary-install/gnome-about::
	dh_python2 -pgnome-about

## gnome-desktop 2.30.2-0ubuntu1common0hedley2

=== debian/changelog ===
gnome-desktop (1:2.30.2-0ubuntu1common0hedley2) lucid; urgency=low

  * Add i-hedley-identify-monitor.patch: Do not label 'lvds' monitors 'laptop'. 

 -- Michael Carifio <michael.carifio@canonical.com>  Mon, 07 Feb 2011 15:53:24 -0500

gnome-desktop (1:2.30.2-0ubuntu1common0hedley1) lucid; urgency=low

  * Add hedley_lcd_is_not_laptop.patch: Do not consider screens which start
    with "LCD*" as laptop screens. This is only a workaround for the fglrx
    driver (which we don't need in hedley) and causes external screens to be
    erroneously called "Laptop". (LP: #653203)
  * debian/control.in: Set Vcs-Bzr: to hedley branch. Branched from
    lp:ubuntu/lucid-updates/gnome-desktop.

 -- Martin Pitt <martin.pitt@canonical.com>  Mon, 18 Oct 2010 09:41:42 +0200

gnome-desktop (1:2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream version (lp: #597167)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2010 11:12:10 +0200

gnome-desktop (1:2.30.0-0ubuntu1) lucid; urgency=low

  * New upstream version
    libgnome-desktop
    - GnomeRR: Fix build failure with GTK 2.19+ 
    - GnomeRR: Fix build with -DGSEAL_ENABLE 
    - GnomeBG: Fix crash in gradient handling code 
    - GnomeRR: Ignore errors when setting the monitor size fails 
  * debian/control.in:
    - updated gtk requirement
  * debian/patches/90_upstream_gsd_crash.patch:
    - the change is in the new version
    
 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Mar 2010 10:38:56 +0200

gnome-desktop (1:2.29.92-0ubuntu3) lucid; urgency=low

  * debian/patches/100_load_desired_settings.patch:
    - Fix another case where gnome_rr_config_apply_from_filename_with_time
      can fail without setting a GError, and really fix LP: #384439

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 27 Mar 2010 23:54:00 +0000

gnome-desktop (1:2.29.92-0ubuntu2) lucid; urgency=low

  * debian/patches/90_upstream_gsd_crash.patch:
    - change from https://bugzilla.gnome.org/606456 to fix a gsd crash issue 
      (lp: #522639)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Mar 2010 15:16:40 +0100

gnome-desktop (1:2.29.92-0ubuntu1) lucid; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeRR: Add new API gnome_rr_output_get_connector_type() and
      gnome_rr_output_is_laptop()
    - GnomeRR: fix leak 
    - GnomeRR: build fix 
    - GnomeBG: Drop pixbuf cache before switching slides 
    Misc
    - Make xrandr an optional dependency 
    - Add main category to gnome-about desktop file 
  * debian/rules:
    - update the shlib

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Mar 2010 19:02:01 +0100

gnome-desktop (1:2.29.91-0ubuntu1) lucid; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeBG: Fix a memory leak 
    - GnomeBG: Add a picture option to make the background span monitors
    - GnomeDesktopItem: Improve error string 
    - Add translator comments 
  * debian/patches/02_add_wallpaper_cache.patch:
    - new version update
  * debian/rules:
    - updated shlibs version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Feb 2010 23:06:58 +0100

gnome-desktop (1:2.29.90-0ubuntu3) lucid; urgency=low

  [ Chris Coulson ]
  * debian/patches/100_load_desired_settings.patch:
    - Update to ensure that gnome_rr_config_apply_from_filename_with_time()
      always sets a GError when the call fails. Thanks to James Westby for
      contributing to this too (LP: #384439)

  [ Didier Roche ]
  * debian/patches/02_add_wallpaper_cache.patch:
    - keep maximum quality when saving the cached image in jpeg
    - support multimonitor: only clean wallpaper cache with same
      transformation and resolution
    - some refactoring, cleanage

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 17 Feb 2010 19:19:03 +0100

gnome-desktop (1:2.29.90-0ubuntu2) lucid; urgency=low

  * debian/patches/02_add_wallpaper_cache.patch:
    - cache wallpapers in local user directory to avoid compute resize and
      transformation at each session start

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Feb 2010 17:58:31 +0100

gnome-desktop (1:2.29.90-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/control.in:
    - updated a description to fix a typo pointed by lintian 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2010 15:28:10 +0100

gnome-desktop (1:2.29.6-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/patches/90_git_soname_update.patch:
    - dropped since the change is in the new version 

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 Jan 2010 17:27:26 +0100

gnome-desktop (1:2.29.4-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/control.in, debian/rules:
    - updated binaries for the soname change
  * debian/gnome-desktop-data.install:
    - updated to install the ids monitors list too
  * debian/patches/80_correct_rgba_use.patch:
    - change by Cody Russell to fix rgba issues (lp: #491521)
  * debian/patches/90_git_soname_update.patch:
    - update the soname since the abi changed

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Jan 2010 15:08:09 +0100

gnome-desktop (1:2.29.3-0ubuntu1) lucid; urgency=low

  * New upstream versions:
    libgnome-desktop
    - GnomeRR: Allow rotation if the virtual size has the correct number of
      pixels 
    - GnomeRR: Add gamma API 
    Misc
    - Build improvement 
    Translators
  * Sync on debian
  * debian/control.in:
    - usr breaks on gnome-control-center (<< 1:2.23.5) and 
      gnome-settings-daemon (<< 2.23.5) since the randr functions naming
      changed between the hardy patch and the upstream version
  * debian/patches/01_desktopfile_gettext.patch:
    - gettext support for desktop files.
  * debian/patches/100_load_desired_settings.patch:
    - enable gnome-settings-daemon to load the desired settings
      saved by the xrandr capplet when the virtual resolution has
      to be saved and the settings cannot be applied immediately.
  * debian/rules:
    - set shlibs version


=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Source: gnome-desktop
 Section: gnome
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-desktop
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-desktop
-Standards-Version: 3.9.2
-X-Python-Version: >= 2.4
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Vcs-Bzr: lp:~hedley-team/hedley/gnome-desktop
+Standards-Version: 3.8.3
+XS-Python-Version: >= 2.4
+Build-Depends: debhelper (>= 5),
                libglib2.0-dev (>= 2.19.1),
                intltool (>= 0.40.0),
-               dh-autoreconf,
                scrollkeeper,
                cdbs (>= 0.4.41),
                gnome-pkg-tools (>= 0.10),
@@ -24,11 +23,12 @@
                gnome-doc-utils (>= 0.3.2),
                libx11-dev,
                libxrandr-dev (>= 1.2),
-               libgtk2.0-dev (>= 2.18.0),
+               libgtk2.0-dev (>= 2.18),
                libstartup-notification0-dev (>= 0.5),
                libxml2-dev (>= 2.4.20),
                libgconf2-dev (>= 2.0.0),
-               python-dev (>= 2.6.6-3~),
+               python-dev,
+               python-support (>= 0.7),
                libglib2.0-doc,
                libgtk2.0-doc
 
@@ -41,6 +41,9 @@
          python-gnome2,
          python-cairo,
          gnome-desktop-data (= ${source:Version})
+Conflicts: gnome-core (<< 1.5),
+           gnome-desktop-data (<< 2.12)
+Replaces: gnome-desktop-data (<< 2.12)
 Description: The GNOME about box
  Informative little about thing that lets us brag to our friends as our name
  scrolls by, and lets users click to load the GNOME home pages.
@@ -48,6 +51,13 @@
 Package: gnome-desktop-data
 Architecture: all
 Depends: ${misc:Depends}
+Conflicts: gnome-panel (<= 2.0.0),
+           gnome-core (<< 1.5),
+           gnome-help (<< 1.5),
+           gnome-about (<< 2.20.0-2)
+Replaces: gnome-control-center (<= 1:2.0.3.2-2),
+          gnome-core (<= 1.5),
+          gnome-panel-data (<= 2.0)
 Description: Common files for GNOME desktop apps
  This package includes some files that are shared between several GNOME
  apps (Pixmaps, .desktop files and internationalization files).
@@ -57,7 +67,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: hwdata (>= 0.227-1)
+Breaks: gnome-control-center (<< 1:2.23.5),
+           gnome-settings-daemon (<< 2.23.5)
 Description: Utility library for loading .desktop files - runtime files
  This library is used by GNOME to load the .desktop files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgnome-desktop-2-17 += -V 'libgnome-desktop-2-17 (>= 1:2.29.92)'
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-gnome-distributor=Ubuntu \
			--disable-scrollkeeper \
			--disable-gtk-doc

binary-install/gnome-about::
	dh_pysupport -pgnome-about

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/([\d\.]+)[024689]/ \
	gnome-desktop-(.*)\.tar\.gz

## gnome-desktop 2.32.1

=== debian/changelog ===
gnome-desktop (1:2.32.1-2ubuntu1) quantal; urgency=low

  * Merge with Debian unstable (first time since Maverick). Dropping most of
    our old Ubuntu changes as they are not relevant any more (most things use
    gnome-desktop3 now).
    Remaining Ubuntu changes:
    - debian/changelog: Add an epoch, as some previous Ubuntu package
      overzealously introduced one.
    - debian/rules: Set "Ubuntu" GNOME distributor.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 May 2012 15:24:01 +0200

gnome-desktop (2.32.1-2) unstable; urgency=low

  * Stop building desktop-wide help documents and remove them from
    gnome-desktop-data. Those files will be provided by gnome-desktop3-data.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Apr 2012 18:35:32 +0200

gnome-desktop (2.32.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop gnome-about package, now useless.
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * Remove debian/patches/01_rr_double_free.patch, merged upstream.
  * Remove debian/patches/02_pnp_buffer_overflow.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 29 Jan 2012 07:35:24 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-desktop
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/attic/gnome-desktop
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/attic/gnome-desktop
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Build-Depends: debhelper (>= 8),
               libglib2.0-dev (>= 2.19.1),
               intltool (>= 0.40.0),
               dh-autoreconf,
               scrollkeeper,
               cdbs (>= 0.4.41),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.4),
               docbook-xml,
               gnome-doc-utils (>= 0.3.2),
               libx11-dev,
               libxrandr-dev (>= 1.2),
               libgtk2.0-dev (>= 2.18.0),
               libstartup-notification0-dev (>= 0.5),
               libxml2-dev (>= 2.4.20),
               libgconf2-dev (>= 2.0.0),
               python-dev (>= 2.6.6-3~),
               libglib2.0-doc,
               libgtk2.0-doc

Package: gnome-desktop-data
Architecture: all
Depends: ${misc:Depends}
Description: Common files for GNOME desktop apps
 This package includes some files that are shared between several GNOME
 apps (Pixmaps, .desktop files and internationalization files).

Package: libgnome-desktop-2-17
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: hwdata (>= 0.227-1)
Description: Utility library for loading .desktop files - runtime files
 This library is used by GNOME to load the .desktop files.

Package: libgnome-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgnome-desktop-2-17 (= ${binary:Version}),
         libgtk2.0-dev (>= 2.14.0),
         libstartup-notification0-dev (>= 0.5)
Replaces: libpanel-applet2-dev (<= 1.5.4-1)
Description: Utility library for loading .desktop files - development files
 This package provides the include files and static library for the GNOME
 desktop library functions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-gnome-distributor=Ubuntu \
			--with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
			--disable-scrollkeeper \
			--disable-desktop-docs \
			--disable-gtk-doc

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/([\d\.]+)[02468]/ \
	gnome-desktop-(.*)\.tar\.gz

## gnome-desktop 2.32.1-0ubuntu6+5.5trisquel1

=== debian/changelog ===
gnome-desktop (1:2.32.1-0ubuntu6+5.5trisquel1) brigantia; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 13 Feb 2012 23:28:51 +0000

gnome-desktop (1:2.32.1-0ubuntu6) natty; urgency=low

  * debian/patches/01_desktopfile_gettext.patch:
    - the Gettext-Domain key can be a X-GNOME one (lp: #587485).

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Apr 2011 11:23:46 +0200

gnome-desktop (1:2.32.1-0ubuntu5) natty; urgency=low

  * Cleaning old patches that are not required
  * debian/patches/80_correct_rgba_use.patch:
    - dropped, that was required for gtk csd which didn't land in Ubuntu
  * debian/patches/100_load_desired_settings.patch:
    - dropped, the logic was required when g-s-d was tweaking the virtual
      settings in xorg which it stopped doing in recent ubuntu versions

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Mar 2011 15:21:52 +0100

gnome-desktop (1:2.32.1-0ubuntu4) natty; urgency=low

  * debian/patches/series:
    - Forgot to add 04_gnome_rr_labeler_show.patch

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Mar 2011 15:29:53 +1100

gnome-desktop (1:2.32.1-0ubuntu3) natty; urgency=low

  [ Gabor Kelemen ]
  * debian/patches/100_load_desired_settings.patch: mark additional string as
    translatable. (LP: #692150)

  [ Robert Ancell ]
  * debian/patches/04_gnome_rr_labeler_show.patch:
    - Add ability to toggle screen labels

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Mar 2011 15:23:26 +1100

gnome-desktop (1:2.32.1-0ubuntu2) natty; urgency=low

  * debian/patches/03_gnome_bg_create_pixmap_failure.patch:
    - Handle failure to create/obtain the background pixmap (LP: #661283)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 23 Dec 2010 17:22:15 +1100

gnome-desktop (1:2.32.1-0ubuntu1) natty; urgency=low

  * New upstream version:
    libgnome-desktop
    - GnomeRR: Don't read past the end of a string
    - GnomeRR: Fix possible double-free when destroying private windows  
    gnome-about
    - Fix translations which do not respect python variable names 

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Nov 2010 12:40:10 +0100

gnome-desktop (1:2.32.0-0ubuntu2) natty; urgency=low

  * Rebase on debian
  * debian/control.in: don't depends on python-gnome2

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Oct 2010 14:36:10 +0200

gnome-desktop (1:2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2010 14:05:11 +0200

gnome-desktop (1:2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 Sep 2010 16:19:56 +0200

gnome-desktop (1:2.31.90-0ubuntu2) maverick; urgency=low

  * debian/patches/01_check_xrandr_version.patch: drop duplicate change

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Sep 2010 17:18:10 +0200

gnome-desktop (1:2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Aug 2010 17:57:06 +0200

gnome-desktop (1:2.31.6-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - Don't use deprecated Gdk drawing APIs

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Aug 2010 12:20:45 +0200

gnome-desktop (1:2.30.2-0ubuntu1.1) maverick; urgency=low

  * New upstream version (lp: #597167)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2010 11:44:01 +0200

gnome-desktop (1:2.30.0-2ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control.in:
    - Add Vcs-Bzr link
  * debian/rules:
    - Set shlibs version
    - Use "Ubuntu" as distributor
  * debian/patches/01_check_xrandr_version.patch:
    - XRandR support cannot be disabled
  * debian/patches/01_desktopfile_gettext.patch:
    - Gettext support for desktop files.
  * debian/patches/02_add_wallpaper_cache.patch:
    - cache wallpapers in local user directory to avoid compute resize and
      transformation at each session start
  * debian/patches/80_correct_rgba_use.patch:
    - Fix RGBA issues
  * debian/patches/100_load_desired_settings.patch:
    - Enable gnome-settings-daemon to load the desired settings
      saved by the xrandr capplet when the virtual resolution has
      to be saved and the settings cannot be applied immediately.
  * debian/watch:
    - Watch unstable series

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jun 2010 11:18:44 +1000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgnome-desktop-2-17 += -V 'libgnome-desktop-2-17 (>= 1:2.29.92)'
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
CFLAGS += -lm

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-gnome-distributor=Trisquel \
			--with-pnp-ids-path=/usr/share/hwdata/pnp.ids \
			--disable-scrollkeeper \
			--disable-gtk-doc

binary-install/gnome-about::
	dh_pysupport -pgnome-about
